1. Product
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Product

Product Variant List ID & Name

GET
/api/v1/productlist

Product Variant ID & Name#

Purpose#

Retrieve a lightweight list of products and their variants.

Why would you use this?#

Use this API when your system needs Product IDs and Product Variant IDs for further operations.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
limitYesNumber of records to retrieve
offsetYesNumber of records to skip

Information Returned#

Product ID
Product Variant ID
Product Name
Product Variant Name
Item Code

Important Notes#

Each variant is returned as a separate record.
Products with multiple variants will appear multiple times.
Use pagination for large product catalogs.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/productlist?offset=0&limit=10' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Product List",
    "code": "200",
    "response": {
        "totalCount": 12809,
        "items": [
            {
                "productId": 18313750,
                "productVariantId": 20847918,
                "productVariantName": "32GB Green",
                "productName": "Oppo Reno 14 Pro",
                "itemCode": "BAR071"
            },
            {
                "productId": 18313750,
                "productVariantId": 20847917,
                "productVariantName": "16GB Blue",
                "productName": "Oppo Reno 14 Pro",
                "itemCode": "BAR071"
            },
            {
                "productId": 18313750,
                "productVariantId": 20847916,
                "productVariantName": "8GB Blue",
                "productName": "Oppo Reno 14 Pro",
                "itemCode": "BAR071"
            },
            {
                "productId": 18313749,
                "productVariantId": 20847915,
                "productVariantName": "500gm / 250gm",
                "productName": "Dairy Milk Silk",
                "itemCode": "BAR067"
            },
            {
                "productId": 18313749,
                "productVariantId": 20847914,
                "productVariantName": "100gm / 250gm",
                "productName": "Dairy Milk Silk",
                "itemCode": "BAR067"
            },
            {
                "productId": 18313749,
                "productVariantId": 20847913,
                "productVariantName": "500gm / 100gm",
                "productName": "Dairy Milk Silk",
                "itemCode": "BAR067"
            },
            {
                "productId": 18313749,
                "productVariantId": 20847912,
                "productVariantName": "100gm / 100gm",
                "productName": "Dairy Milk Silk",
                "itemCode": "BAR067"
            },
            {
                "productId": 18311829,
                "productVariantId": 20846171,
                "productVariantName": "",
                "productName": "tax excluding",
                "itemCode": "BAR066"
            },
            {
                "productId": 18311801,
                "productVariantId": 20846140,
                "productVariantName": "",
                "productName": "AVIDISCOUNT0003",
                "itemCode": "BAR065"
            },
            {
                "productId": 18311798,
                "productVariantId": 20846137,
                "productVariantName": "",
                "productName": "AVIDISCOUNT0002",
                "itemCode": "BAR064"
            }
        ]
    }
}
Previous
product details with Inventory By Product ID
Next
Variant Details By Variant ID
Built with